/* $EPIC:$ */
#ifndef __symtab_h__
#define __symtab_h__

typedef	struct 
{
	char *		name;
	void *		command;
	void *		alias;
} da_item;

	int		add_builtin_command_entry (const char *, void *);
	int		add_alias_command_entry (const char *, void *);
	da_item *	get_cmd_item (const char *, int *, char **);
	int		remove_builtin_command_entry (const char *);
	int		remove_alias_command_entry (const char *);

	int		add_builtin_func_entry (const char *, void *);
	int		add_alias_func_entry (const char *, void *);
	da_item *	get_func_item (const char *, int *, char **);
	int		remove_builtin_func_entry (const char *);
	int		remove_alias_func_entry (const char *);

	void		command_table_stats (void);
	void		set_up_symbols (void);

#endif
